PETSc version 3.17.4
Fix/Edit manual page

# PetscPOpenSetMachine

Sets the name of the default machine to run PetscPOpen() calls on

### Synopsis

    PetscErrorCode  PetscPOpenSetMachine(const char machine[])

Logically Collective, but only process 0 runs the command

### Input Parameter

| machine | - machine to run command on or NULL for the current machine

### Options Database

| -popen_machine <machine> | - run the process on this machine

### See Also

PetscFOpen(), PetscFClose(), PetscPClose(), PetscPOpen()

### Level

intermediate

### Location

src/sys/fileio/mpiuopen.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages